r130 - builds/mingw32_on_debian_unstable/gtk_dsound_debug
erik at minisip.org
erik at minisip.org
Wed Oct 31 15:46:21 CET 2007
Author: erik
Date: 2007-10-31 15:46:20 +0100 (Wed, 31 Oct 2007)
New Revision: 130
Modified:
builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
Log:
* "Un-export" CXX when cross-compiling.
This fixes the mingw32 cross compile (the wrong compiler was used).
Modified: builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
===================================================================
--- builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh 2007-10-23 12:14:01 UTC (rev 129)
+++ builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh 2007-10-31 14:46:20 UTC (rev 130)
@@ -2,6 +2,10 @@
if test $# -ne 1 ; then echo Usage: $0 revision ; exit 1; fi
+# Remove any declaration of CXX since it can cause the wrong
+# compiler to be used.
+export -n CXX
+
sleep_while_load 2
wget -q http://www.minisip.org/~erik/autobuild_mingw32_base.tar.gz
@@ -29,14 +33,14 @@
cd $LIB
echo "" >&2
echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
- ./bootstrap && ./configure --enable-dsound --disable-gconf --enable-debug --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static prefix=${PREFIX} CPPFLAGS="-I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+ ./bootstrap && ./configure --enable-dsound --disable-gconf --enable-debug --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static prefix=${PREFIX} CPPFLAGS="-I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && nice -16 make && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
cd ..
done
echo "AUTOBUILD_INFO: processing minisip..." >&2
cd minisip
-./bootstrap && ./configure --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static --enable-debug prefix=${PREFIX} CPPFLAGS="-I/usr/i586-mingw32msvc/include -I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && nice -16 make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install minisip.exe" >&2 && exit 1 ; }
+./bootstrap && ./configure --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static --enable-debug prefix=${PREFIX} CPPFLAGS="-I/usr/i586-mingw32msvc/include -I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && nice -16 make && make install || { echo "ERROR: Could not bootstrap/configure/compile/install minisip.exe" >&2 && exit 1 ; }
mkdir -p ${AUTOBUILD_BASE}/binoutput/lib/openssl
cp $CROSS_LIB/libcrypto.dll ${AUTOBUILD_BASE}/binoutput/lib/openssl/libeay32.dll
More information about the Minisip-devel
mailing list